at.chipkarte.client.rez.soap

## Interface IRezService

-     public interface IRezService

  Dieses Service stellt die Funktionalitäten des e-Rezept Services (REZ) Version 6 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ERezeptAbgeber` | `abgeberERezeptRezIdAbfragen(String dialogId, String rezId, String abfrageart)` Diese Funktion ermöglicht das Abfragen von Detaildaten von einlösbaren beziehungsweise von bereits abgegebenen e-Rezepten durch den Abgeber.
    `AdministrativeRezeptDaten` | `administrativeDatenPruefen(String dialogId, String rezeptart, String cardToken, String svnr, String svnrAbgeleitet, EkvkPatient ekvkPatient, String fachgebiet, String kvt)` Es werden die Patientendaten (Namensdaten und im Falle eines Kassenrezepts die Anspruchsdaten) ermittelt und geprüft, ob die weitere e-Rezepterfassung durch den durchführenden Vertragspartner möglich ist.
    `AbfrageergebnisStichtag` | `anspruchStichtagErmitteln(String dialogId, String svnr, String svnrAbgeleitet, String kvt, String datum, String cardToken)` Diese Funktion dient der Ermittlung des im eCS bekannten Anspruchs eines SV-Patienten für das Verordnungsdatum eines abzugebenden Papierrezeptes.
    `DataHandler` | `blankoERezepteErstellen(String dialogId, String anzahl, Boolean a5Druck)` Diese Funktion liefert die Druckaufbereitungen für Blanko (Kassen-)eRezepte ohne Personenbezug.
    `ERezeptAbgabeErgebnis` | `eRezeptAbgabeAendern(String dialogId, AbgabeErfassungAenderung abgabedaten)` Diese Funktion dient der Änderung bereits erfasster Abgabeinformationen zu einem e-Rezept.
    `void` | `eRezeptAbgabeStornieren(String dialogId, String rezId, Boolean gueltigCheck, String[] gesamtabgabeIds)` Diese Funktion dient der Stornierung der Abgabe eines e-Rezepts.
    `ERezeptVerordner` | `eRezeptAbsAbgleichKennzeichnen(String dialogId, String rezId)` Mittels dieser Funktion kann, mittels der Funktion `eRezeptMitAbsSuchen`, ein ermitteltes e-Rezept mit ABS Daten als abgeglichen gekennzeichnet werden.
    `DataHandler` | `eRezepteDatensatzDownloaden(String dialogId, SuchkriterienSelbstabgegebeneRezepte suchkriterien)` Die Funktion dient der Abfrage von e-Rezept XML Datensätzen von abrechnungsrelevanten, eingelösten Kassen-Rezepten.
    `ERezeptAbgabeErgebnis` | `eRezeptEinloesen(String dialogId, AbgabeErfassungAenderung abgabedaten)` Diese Funktion dient der Erfassung einer Abgabe für ein elektronisches Rezept.
    `DataHandler` | `eRezeptEMedikationKoppelnEntkoppeln(String dialogId, String rezId, String emedId, Boolean entkoppeln, Boolean a5Druck)` Mittels dieser Funktion kann zu einem erfassten e-Rezept die EMEDID der zugehörigen e-Medikation angegeben werden, sofern eine bereits angegebene EMEDID wieder entfernt wird.
    `DataHandler` | `eRezeptIdsErstellen(String dialogId, String anzahl)` Diese Funktion liefert die Datametrix-Codes (und somit die Rezept-Id) für die Offlineerstellung von (Kassen-)Rezepten durch die VPSW.
    `AbsAbgleichdaten` | `eRezeptMitAbsSuchen(String dialogId, String svnr, String cardToken, String karteninhaberKennnummer, String rezId)` Mittels dieser Funktion kann nach e-Rezepten zu einem bestimmten Patienten beziehungsweise nach einem bestimmten e-Rezept gesucht werden, bei denen bei der Ausstellung ein ABS Antrag automatisch erstellt wurde UND bei denen für diesen ABS Antrag eine Rückantwort verfügbar ist.
    `PatientERezeptInformationen` | `eRezeptMitECardAbfragen(String dialogId, String cardToken)` Diese Funktion dient der Abfrage der e-Rezept Überblicksdaten zwecks möglicher Abgabe durch den Abgeber.
    `PatientERezeptInformationen` | `eRezeptMitSvnrAbfragen(String dialogId, String svnr)` Diese Funktion dient der Abfrage der e-Rezept Überblicksdaten zwecks möglicher Abgabe durch den Abgeber.
    `ERezeptVerordner` | `eRezeptSpeichern(String dialogId, ERezeptErfassung eRezept, Boolean a5Druck)` Diese Funktion dient der Erfassung eines e-Rezepts mit Personendaten.
    `Medikamentensuchergebnis` | `medikamentenSuche(String dialogId, String pzn, String handelsname, String zulassungsnummer, Boolean nurWechselwirkungsrelevant)` Diese Funktion dient der Suche nach Medikamenten.
    `PapierrezeptAbgabeErgebnis` | `papierrezeptEinloesen(String dialogId, PapierrezeptAbgabeErfassung abgabedaten)` Diese Funktion dient der Erfassung der Informationen zur Abgabe eines reinen Kassen-Papierrezepts (es ist keine Rezept-ID für das Rezept vorhanden).
    `PapierrezeptAbgabe` | `papierrezeptRegoIdAbfragen(String dialogId, String regoId)` Diese Funktion ermöglicht das Abfragen der Detaildaten einer selbst erfassten Papierrezeptabgabe mittels Eingabe der REGO-ID.
    `PrivatRezeptAbgeber` | `privatrezeptAbgabeAendern(String dialogId, PrivatrezeptAbgabeErfassungAenderung privatrezeptAbgabedaten)` Diese Funktion dient der Änderung bereits erfasster Abgabeinformationen zu einem Privatrezept.
    `PrivatRezeptAbgeber` | `privatrezeptEinloesen(String dialogId, PrivatrezeptAbgabeErfassungAenderung privatrezeptAbgabedaten)` Diese Funktion dient der Erfassung einer Abgabe für ein Privatrezept.
    `DataHandler` | `regoDatensatzDownloaden(String dialogId, SuchkriterienSelbstabgegebenePapierrezepte suchkriterien)` Die Funktion dient der Abfrage von REGO XML Datensätzen.
    `SuchergebnisSelbstabgegebeneRezepte` | `selbstAbgegebeneERezepteSuchen(String dialogId, SuchkriterienSelbstabgegebeneRezepte suchkriterien)` Diese Funktion dient das Abfragen von selbst abgegebenen/eingelösten e-Rezepten.
    `SuchergebnisSelbstabgegebenePapierrezepte` | `selbstabgegebenePapierrezepteSuchen(String dialogId, SuchkriterienSelbstabgegebenePapierrezepte suchkriterien)` Diese Funktion dient der Abfrage von Überblicksdaten von selbst erstellten Papierrezpt-Abgaben.
    `SuchergebnisSelbsterstellteRezepte` | `selbsterstellteERezepteSuchen(String dialogId, SuchkriterienSelbsterstellteRezepte suchkriterien)` Diese Funktion dient der Abfrage von Überblicksdaten von selbst erstellten e-Rezepten.
    `ERezeptVerordner` | `selbsterstelltesERezeptStornieren(String dialogId, String rezId)` Diese Funktion dient der Stornierung eines selbst ausgestellten e-Rezepts.
    `ERezeptVerordner` | `verordnerERezeptRezIdAbfragen(String dialogId, String rezId, Boolean a5Druck)` Mittels dieser Funktion können die Detaildaten eines selbst ausgestellten e-Rezepts abgefragt werden.

- - ### Method Detail

    - #### blankoERezepteErstellen

          DataHandler blankoERezepteErstellen(String dialogId,
                                              String anzahl,
                                              Boolean a5Druck)
                                       throws RezException,
                                              AccessException,
                                              DialogException,
                                              ServiceException

      Diese Funktion liefert die Druckaufbereitungen für Blanko (Kassen-)eRezepte ohne Personenbezug. Diese Druckaufbereitungen können für die Offlineerfassung von Kassenrezepten z.B. bei Hausbesuchen verwendet werden. In diesen Fällen sind elektronisch nur die Vertragspartnerdaten und die Rezept-Id gespeichert! Innerhalb eines gewissen Zeitraums können nur eine gewisse Anzahl an Blanko-Druckaufbereitungen bezogen werden!

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `anzahl` - Anzahl der auszustellenden Blanko (Kassen)-Rezepte.
        Format: nummerisch, 1 bis 50.
        Angabe: Muss.
        `a5Druck` - Ist das Steuerkennzeichen auf "false" gesetzt wird der Druck im Format A4 retourniert. Ansonsten (Anngabe "true" oder keine Angabe) wird der Druck im Format A5 retourniert.
        Angabe: Kann.
      Returns:
        ZIP Archiv mit allen erzeugten PDF Dateien.
      Throws:
        `RezException` - `ANZAHL_REQUIRED`, `ANZAHL_FORMAT`, `ANZAHL_INVALID`, `LIMIT_REACHED_BLANKOFORMS`, `LIMIT_REACHED_BY_X_BLANKOFORMS`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`,
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eRezeptIdsErstellen

          DataHandler eRezeptIdsErstellen(String dialogId,
                                          String anzahl)
                                   throws RezException,
                                          AccessException,
                                          DialogException,
                                          ServiceException

      Diese Funktion liefert die Datametrix-Codes (und somit die Rezept-Id) für die Offlineerstellung von (Kassen-)Rezepten durch die VPSW. In diesen Fällen sind elektronisch nur die Vertragspartnerdaten und die Rezept-Id gespeichert! Innerhalb eines gewissen Zeitraums können nur eine gewisse Anzahl an Datamatix-Codes/Rezept-Id bezogen werden! Der Name jedes retourniertem Datamatrix-Codes entspricht dabei der jeweils zugehörigen Rezept-Id. Die Erstellung eines Ausdrucks des Kassenrezepts ist in diesen Fällen bei Bedarf durch die VPSW vorzunehmen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `anzahl` - Anzahl der auszustellenden Rezept-Ids/Datamatrix-Codes.
        Format: nummerisch, 1 bis 50.
        Angabe: Muss.
      Returns:
        ZIP Archiv mit den erzeugten Datamatrix-Codes.
      Throws:
        `RezException` - `ANZAHL_REQUIRED`, `ANZAHL_FORMAT`, `ANZAHL_INVALID`, `LIMIT_REACHED_REZIDS`, `LIMIT_REACHED_BY_X_REZIDS`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### administrativeDatenPruefen

          AdministrativeRezeptDaten administrativeDatenPruefen(String dialogId,
                                                               String rezeptart,
                                                               String cardToken,
                                                               String svnr,
                                                               String svnrAbgeleitet,
                                                               EkvkPatient ekvkPatient,
                                                               String fachgebiet,
                                                               String kvt)
                                                        throws RezException,
                                                               AccessException,
                                                               DialogException,
                                                               ServiceException

      Es werden die Patientendaten (Namensdaten und im Falle eines Kassenrezepts die Anspruchsdaten) ermittelt und geprüft, ob die weitere e-Rezepterfassung durch den durchführenden Vertragspartner möglich ist. Im Falle eines Kassenrezepts gilt: Es wird dabei auch geprüft ob bei der Rezepterfassung die Erfassung von Verordnungen zulässig ist, die im Zuge der Rezepterfassung an ABS zu senden sind. Bei Mehrfachversicherungen ohne Angabe eines Anspruchs in den Eingangsdaten (svnr, kvt und bei Bedarf svnrAbgeleitet) wird eine entsprechende Fehlermeldung mit Anspruchsinformationen retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `rezeptart` - Information um welche Art von Rezept es sich handelt.
        Mögliche Werte: siehe `RezeptartConstants`.
        Angabe: Muss.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt. Entweder die SV-Nummer ist angegeben, die EKVK Patientendaten sind versorgt oder ein CardToken ist angegeben. Wird die SVNummer gemeinsam mit dem CardToken angegeben, so muss das CardToken mit der entsprechenden e-card erzeugt worden sein. Die EKVKNummer darf nicht gemeinsam mit dem CardToken angegeben werden.
        `svnr` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt. Entweder die SV-Nummer ist angegeben, die EKVK Patientendaten sind versorgt oder ein CardToken ist angegeben.
        `svnrAbgeleitet` - Sozialversicherungsnummer des Versicherten von dem die Ansprüche des Patienten abgeleitet werden.
        Format: 10-stellig
        Angabe: Bedingt. Darf nur angegeben werden wenn die svnr angegeben wurde und es sich um ein Kassenrezept handelt. Keine Angabe zulässig bei Privatrezepten.
        `ekvkPatient` - EKVK Patientenidentifikationsdaten, siehe `EkvkPatient`.
        Angabe: Bedingt. Entweder die SV-Nummer ist angegeben, die EKVK Patientendaten sind versorgt oder ein CardToken ist angegeben.
        `fachgebiet` - Code des zugeordneten Fachgebiets.
        Mögliche Werte: siehe `getFachgebiete`
        Angabe: Muss.
        `kvt` - Ausgewählter leistungszuständiger KVT des Patienten.
        Mögliche Werte: siehe `getSVTs`
        Angabe: Bedingt. Darf nur angegeben werden wenn es sich um ein Kassenrezept handelt. Keine Angabe zulässig bei Privatrezepten.
      Returns:
        Die Administrativen Daten inklusive des ermittelten Anspruchs, siehe `AdministrativeRezeptDaten`.
      Throws:
        `RezException` - `ECARDTOKEN_SV_NUMMER_EKVK_DATA_MISSING`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `KVT_INVALID_1`, `KVT_INVALID_4`, `SV_NUMMER_ABGEL_INVALID`, `SV_NUMMER_ABGEL_INVALID_1`, `SV_NUMMER_ABGEL_INVALID_2`, `SV_NUMMER_INVALID`, `EKVK_PATIENT_GEBDATUM_FORMAT`, `EKVK_PATIENT_GEBDATUM_REQUIRED`, `EKVK_PATIENT_GEBDATUM_INVALID`, `EKVK_PATIENT_GESCHLECHT_INVALID`, `EKVK_PATIENT_GESCHLECHT_REQUIRED`, `EKVK_KENNNUMMER_KARTE_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_FORMAT`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_REQUIRED`, `EKVK_PATIENT_STAAT_INVALID`, `EKVK_PATIENT_STAAT_INVALID2`, `EKVK_PATIENT_STAAT_REQUIRED`, `EKVK_KENNNUMMER_DES_TRAEGERS_FORMAT`, `EKVK_KENNNUMMER_DES_TRAEGERS_REQUIRED`, `EKVK_PATIENT_VORNAME_FORMAT`, `EKVK_PATIENT_VORNAME_REQUIRED`, `EKVK_PATIENT_ZUNAME_FORMAT`, `EKVK_PATIENT_ZUNAME_REQUIRED`, `ECARDTOKEN_OR_SV_NUMMER_WITH_EKVK_INVALID`, `SV_NUMMER_UNKNOWN`, `KV_ANSPRUCH_NOT_FOUND`, `GKK_BKK_NEITHER_SELECTED`, `KV_ANSPRUCH_NOTHING_SELECTED`, `PATIENT_MEHRFACH_VERSICHERT`, `KV_ANSRUCH_INVALID_MEHRFACH_VERSICHERT`, `KV_ANSPRUCH_ABGELEITET_INVALID`, `NO_VERTRAGSVERHAELTNIS_FOUND`, `NO_VERTRAG_FOUND`, `ORDI_NO_EREZ_KV`, `REZEPTART_REQUIRED`, `REZEPTART_INVALID`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID` `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### medikamentenSuche

          Medikamentensuchergebnis medikamentenSuche(String dialogId,
                                                     String pzn,
                                                     String handelsname,
                                                     String zulassungsnummer,
                                                     Boolean nurWechselwirkungsrelevant)
                                              throws RezException,
                                                     AccessException,
                                                     DialogException,
                                                     ServiceException

      Diese Funktion dient der Suche nach Medikamenten.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `pzn` - Pharmazentralnummer der gesuchten Arznei.
        Format: max. 8 stellig (numerisch).
        Angabe: Bedingt. Es muss entweder PZN, Handelsname oder Zulassungsnummer angegeben werden.
        `handelsname` - Der Handelsname der gesuchten Arznei.
        Format: max. 255 stellig (alphanumerisch).
        Hinweis: Es werden (kompatibel zu dem SQL Schlüsselwort LIKE) die Wildcards "%" für 0-n Zeichen und "_" für genau ein Zeichen unterstützt. Die Suche erfolgt case-insensitiv.
        Hinweis: Bei der Suche nach Handelsname wird die Suche automatisch mit dem Wildcard "%" am Ende durchgeführt.
        Angabe: Bedingt. Es muss entweder PZN, Handelsname oder Zulassungsnummer angegeben werden.
        `zulassungsnummer` - Die Zulassungsnummer der gesuchten Arznei.
        Format: max. 255 stellig (alphanumerisch).
        Angabe: Bedingt. Es muss entweder PZN, Handelsname oder Zulassungsnummer angegeben werden.
        `nurWechselwirkungsrelevant` - Ist das Steuerkennzeichen gesetzt werden nur Medikamente retourniert welche wechselwirkungsrelevant sind.
        Angabe: Kann.
      Returns:
        Ergebnisse der Medikamentensuche siehe `Medikamentensuchergebnis`.
      Throws:
        `RezException` - `PZN_FORMAT`, `HANDELSNAME_FORMAT`, `ZULASSUNGSNUMMER_FORMAT`, `PZN_HANDELSNAME_ZULASSUNGSNUMMER_ALL_MISSING`, `TOO_MANY_HITS`, `NO_ARZNEIMITTEL_FOUND`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`,
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eRezeptSpeichern

          ERezeptVerordner eRezeptSpeichern(String dialogId,
                                            ERezeptErfassung eRezept,
                                            Boolean a5Druck)
                                     throws RezException,
                                            AccessException,
                                            DialogException,
                                            ServiceException

      Diese Funktion dient der Erfassung eines e-Rezepts mit Personendaten. Bei der Erfassung können bis zu 10 Verordnungen angegeben werden, oder z.B. wenn ein Hausbesuch geplant ist und noch nicht sicher ist welche Medikamente verschrieben werden, eine Erfassung ohne Verordnungsdaten durchgeführt werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `eRezept` - Rezeptdaten zur Speicherung, siehe `ERezeptVerordner`.
        Angabe: Muss.
        `a5Druck` - Ist das Steuerkennzeichen auf "false" gesetzt wird der Druck im Format A4 retourniert. Ansonsten (Anngabe "true" oder keine Angabe) wird der Druck im Format A5 retourniert.
        Angabe: Kann.
      Returns:
        die Daten des gespeicherten e-Rezepts inklusive Druckdaten, siehe `ERezeptVerordner`.
      Throws:
        `RezException` - `ECARDTOKEN_SV_NUMMER_EKVK_DATA_MISSING`, `FACHGEBIET_REQUIRED`, `FACHGEBIET_INVALID`, `KVT_INVALID_1`, `KVT_INVALID_4`, `SV_NUMMER_ABGEL_INVALID`, `SV_NUMMER_ABGEL_INVALID_1`, `SV_NUMMER_ABGEL_INVALID_2`, `SV_NUMMER_INVALID`, `EKVK_PATIENT_GEBDATUM_FORMAT`, `EKVK_PATIENT_GEBDATUM_REQUIRED`, `EKVK_PATIENT_GEBDATUM_INVALID`, `EKVK_PATIENT_GESCHLECHT_INVALID`, `EKVK_PATIENT_GESCHLECHT_REQUIRED`, `EKVK_KENNNUMMER_KARTE_FORMAT`, `EKVK_KENNNUMMER_KARTE_INVALID`, `EKVK_KENNNUMMER_KARTE_INVALID2`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_FORMAT`, `EKVK_KENNNUMMER_DES_KARTENINHABERS_REQUIRED`, `EKVK_PATIENT_STAAT_INVALID`, `EKVK_PATIENT_STAAT_INVALID2`, `EKVK_PATIENT_STAAT_REQUIRED`, `EKVK_KENNNUMMER_DES_TRAEGERS_FORMAT`, `EKVK_KENNNUMMER_DES_TRAEGERS_REQUIRED`, `EKVK_PATIENT_VORNAME_FORMAT`, `EKVK_PATIENT_VORNAME_REQUIRED`, `EKVK_PATIENT_ZUNAME_FORMAT`, `EKVK_PATIENT_ZUNAME_REQUIRED`, `ABS_ZUGRIFF_VERWEIGERT`, `ABS_ANLAGEN_INVALID`, `ZIP_IO_ERROR`, `ZIP_SIZE_INVALID`, `ZIP_SINGLE_FILE_SIZE_INVALID`, `ZIP_FILE_COUNT_LIMIT_REACHED`, `ZIP_SINGLE_FILE_TYPE_INVALID`, `ZIP_SINGLE_FILE_NAME_INVALID`, `ERZ_VORNAME_FORMAT`, `ERZ_ERFASSUNG_PAT_VORNAME_INVALID`, `ERZ_ERFASSUNG_PAT_VORNAME_REQUIRED`, `ERZ_ZUNAME_FORMAT`, `ERZ_ERFASSUNG_PAT_ZUNAME_INVALID`, `ERZ_ERFASSUNG_PAT_ZUNAME_REQUIRED`, `ERZ_ERFASSUNG_PAT_GEBDAT_FORMAT`, `ERZ_ERFASSUNG_PAT_GEBDAT_INVALID`, `ERZ_ERFASSUNG_PAT_GEBDAT_INVALID_1`, `ERZ_ERFASSUNG_PAT_GEBDAT_REQUIRED`, `ADRESSE_ORT_REQUIRED`, `ADRESSE_ORT_WRONG_FORMAT`, `ADRESSE_PLZ_REQUIRED`, `ADRESSE_PLZ_WRONG_FORMAT`, `ADRESSE_STRASSE_REQUIRED`, `ADRESSE_STRASSE_WRONG_FORMAT`, `ADRESSE_STAAT_REQUIRED`, `ADRESSE_STAAT_INVALID`, `ERZ_ERFASSUNG_ARZT_NAME_REQUIRED`, `ERZ_ERFASSUNG_ARZT_NAME_FORMAT`, `ERZ_ERFASSUNG_VER_TELEFON_FORMAT`, `ERZ_ERFASSUNG_VER_TELEFON_INVALID`, `VERORDNUNG_HEILMITTELART_REQUIRED`, `ERZ_ERFASSUNG_VERORDNUNGEN_ANZAHL_FORMAT`, `VERORDNUNG_HEILMITTELART_INVALID`, `VERORDNUNG_PZN_REQUIRED`, `PZN_FORMAT`, `VERORDNUNG_PZN_INVALID`, `VERORDNUNG_MAGZU_REQUIRED`, `VERORDNUNG_MAGZU_FORMAT`, `VERORDNUNG_MAGZU_INVALID`, `VERORDNUNG_SONSTIGESM_REQUIRED`, `VERORDNUNG_SONSTIGESM_FORMAT`, `VERORDNUNG_SONSTIGESM_INVALID`, `VERORDNUNG_PACKUNGSGROESSE_FORMAT`, `VERORDNUNG_PACKUNGSEINHEIT_FORMAT`, `VERORDNUNG_PACKUNGSANZAHL_REQUIRED`, `VERORDNUNG_PACKUNGSANZAHL_FORMAT`, `VERORDNUNG_PACKUNGSANZAHL_INVALID`, `VERORDNUNG_KEINE_BEWILL_INVALID`, `VERORDNUNG_KEINE_BEWILL_INVALID_1`, `VERORDNUNG_KEINE_BEWILL_INVALID_2`, `VERORDNUNG_NOT_VERORD_INVALID`, `VERORDNUNG_AUSEINZELUNG_INVALID`, `VERORDNUNG_NOTFALLSKENNZEICHEN_INVALID`, `GUELTIG_BIS_ERSTABGABE_VALUE`, `VERORDNUNG_ABGABEART_INVALID`, `VERORDNUNG_MIR_INVALID`, `VERORDNUNG_UNFALL_INVALID`, `VERORDNUNG_ALTEIN_FORMAT`, `VERORDNUNG_SONSTIGE_ANMERK_INVALID`, `VERORDNUNG_ABS_ANFRAGE_INVALID`, `VERORDNUNG_ABS_ANFRAGE_INVALID_2`, `VERORDNUNG_GRUND_ABS_ANFRAGE_REQUIRED`, `VERORDNUNG_GRUND_ABS_ANFRAGE_FORMAT`, `VERORDNUNG_GRUND_ABS_ANFRAGE_INVALID`, `VERORDNUNG_DIAGNOSE_REQUIRED`, `VERORDNUNG_DIAGNOSE_FORMAT`, `VERORDNUNG_DIAGNOSE_INVALID`, `VERORDNUNG_LANGZEITVERORD_FORMAT`, `VERORDNUNG_LANGZEITVERORD_INVALID`, `VERORDNUNG_LANGZEITVERORD_INVALID_1`, `VERORDNUNG_ABS_ANTRAGSID_FORMAT`, `VERORDNUNG_ABS_ANTRAGSID_INVALID`, `VERORDNUNG_ABS_LZB_ABBUCHUNG_FORMAT`, `VERORDNUNG_ABS_LZB_ABBUCHUNG_INVALID`, `EINNAHMEREGEL_MAX_VIOLATED`, `EINNAHMEZEITPUNKT_UNIQUE_VIOLATED`, `EINNAHMEZEITPUNKT_REQUIRED`, `EINNAHMEZEITPUNKT_INVALID`, `EINNAHME_MENGENARTEN_VIOLATED`, `EINZELDOSIERUNG_REQUIRED`, `EINZELDOSIERUNG_INVALID`, `DOSIS_MENGE_REQUIRED`, `DOSIS_MENGE_FORMAT`, `DOSIS_MENGE_INVALID`, `DOSIS_MENGENART_REQUIRED`, `DOSIS_MENGENART_FORMAT`, `TAG_DER_EINNAHME_DOSIS_REQUIRED`, `DOSIS_REQUIRED`, `TAG_DER_EINNAHME_REQUIRED`, `TAG_DER_EINNAHME_INVALID`, `TAG_DER_EINNAHME_INVALID2`, `FREQUENZ_REQUIRED`, `FREQUENZ_INVALID`, `EREZEPT_ERFASSUNG_REQUIRED`, `EMEDID_FORMAT`, `EMEDID_NOT_ALLOWED_CARD_SVNR`, `SV_NUMMER_UNKNOWN`, `KV_ANSPRUCH_NOT_FOUND`, `GKK_BKK_NEITHER_SELECTED`, `KV_ANSPRUCH_NOTHING_SELECTED`, `PATIENT_MEHRFACH_VERSICHERT`, `KV_ANSRUCH_INVALID_MEHRFACH_VERSICHERT`, `KV_ANSPRUCH_ABGELEITET_INVALID`, `NO_VERTRAGSVERHAELTNIS_FOUND`, `NO_VERTRAG_FOUND`, `ORDI_NO_EREZ_KV`, `PZN_INVALID`, `TOO_MUCH_DATA_FOR_PDF`, `ABS_ID_INVALID`, `ABS_ANTRAG_NO_REPLY`, `EMED_ID_INVALID`, `REZEPTART_REQUIRED`, `REZEPTART_INVALID`, `ERZ_ERFASSUNG_GUELTIGBIS_PRIVATREZEPT_FORMAT`, `ERZ_ERFASSUNG_GUELTIGBIS_PRIVATREZEPT_INVALID`, `ERZ_ERFASSUNG_GUELTIGBIS_PRIVATREZEPT_INVALID_1`, `VERORDNUNG_ZUSAETZLICHE_ABGABEN_FORMAT`, `VERORDNUNG_ZUSAETZLICHE_ABGABEN_INVALID`, `VERORDNUNG_ZUSAETZLICHE_ABGABEN_INVALID_1`, `VERORDNUNG_KEINE_BEWILL_INVALID_3`, `VERORDNUNG_NOTFALLSKENNZEICHEN_INVALID_1`, `VERORDNUNG_MIR_INVALID_1`, `VERORDNUNG_UNFALL_INVALID_1`, `VERORDNUNG_ABS_ANFRAGE_INVALID_1`, `VERORDNUNG_GRUND_ABS_ANFRAGE_INVALID_1`, `VERORDNUNG_DIAGNOSE_INVALID_1`, `VERORDNUNG_LANGZEITVERORD_INVALID_2`, `VERORDNUNG_ABS_ANTRAGSID_INVALID_1`, `VERORDNUNG_ABS_LZB_ABBUCHUNG_INVALID_1`, `BANDAGISTENABGABE_MOEGLICH_INVALID`, `BANDAGISTENABGABE_MOEGLICH_INVALID_1`, `SUCHTGIFT_INVALID`, `SUCHTGIFT_INVALID_1` `RezExceptionConstants.ABS_INVALID`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eRezeptEMedikationKoppelnEntkoppeln

          DataHandler eRezeptEMedikationKoppelnEntkoppeln(String dialogId,
                                                          String rezId,
                                                          String emedId,
                                                          Boolean entkoppeln,
                                                          Boolean a5Druck)
                                                   throws RezException,
                                                          AccessException,
                                                          DialogException,
                                                          ServiceException

      Mittels dieser Funktion kann zu einem erfassten e-Rezept die EMEDID der zugehörigen e-Medikation angegeben werden, sofern eine bereits angegebene EMEDID wieder entfernt wird. Die Angabe einer EMEDID ist nur für e-Rezepte möglich, die für SV-Personen unter Angabe von Verordnungsdaten erfasst wurden.
      Im Zuge der Kopplung/Entkopplung wird der e-Rezept Ausdruck erneut aufbereitet und retourniert. Hinweis: Die Angabe einer EMEDID ist auch im Zuge der Erfassung eines e-Rezepts mittels der Funktion `eRezeptSpeichern` möglich (auch hier nur für e-Rezepte von SV-Personen mit Verordnungsdaten möglich).

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `rezId` - Rezept Id des e-Rezepts.
        Format: 12 stellig.
        Angabe: Muss.
        `emedId` - Id der Rezeptdaten aus e-Medikation an die gekoppelt oder von der entkoppelt werden soll.
        Format: 12 stellig.
        Angabe: Muss.
        `entkoppeln` - Ist das Steuerkennzeichen gleich "true" gesetzt wird entkoppelt. Anderenfalls (Angabe "false" oder keine Angabe) wird eine Koppelung vorgenommen.
        Angabe: Kann.
        `a5Druck` - Ist das Steuerkennzeichen auf "false" gesetzt, wird der Druck im Format A4 retourniert. Ansonsten (Anngabe "true" oder keine Angabe) wird der Druck im Format A5 retourniert.
        Angabe: Kann.
      Returns:
        PDF Druckdaten des Rezepts.
      Throws:
        `RezException` - `REZID_REQUIRED`, `REZID_FORMAT`, `EMEDID_REQUIRED`, `EMEDID_FORMAT`, `EREZEPT_NOT_FOUND`, `EMED_KOPPELN_NOT_POSSIBLE`, `EMED_ID_INVALID`, `EMED_ENTKOPPELN_NOT_POSSIBLE`, `EMED_ENTKOPPELN_NOT_POSSIBLE2`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eRezeptMitAbsSuchen

          AbsAbgleichdaten eRezeptMitAbsSuchen(String dialogId,
                                               String svnr,
                                               String cardToken,
                                               String karteninhaberKennnummer,
                                               String rezId)
                                        throws RezException,
                                               AccessException,
                                               DialogException,
                                               ServiceException

      Mittels dieser Funktion kann nach e-Rezepten zu einem bestimmten Patienten beziehungsweise nach einem bestimmten e-Rezept gesucht werden, bei denen bei der Ausstellung ein ABS Antrag automatisch erstellt wurde UND bei denen für diesen ABS Antrag eine Rückantwort verfügbar ist.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE`, `REZ_ERFASSEN` und `REZ_ABS`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `svnr` - Sozialversicherungsnummer des Patienten.
        Format: 10-stellig
        Angabe: Bedingt.
        Es muss entweder die Sozialversicherungsnummer und der CardToken in Kombination oder einer der Parameter alleine angegeben werden: Sozialversicherungsnummer, CardToken, Kennnummer des Karteninhabers, Rezept-ID.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Angabe: Bedingt.
        Es muss entweder die Sozialversicherungsnummer und der CardToken in Kombination oder einer der Parameter alleine angegeben werden: Sozialversicherungsnummer, CardToken, Kennnummer des Karteninhabers, Rezept-ID.
        `karteninhaberKennnummer` - 6 Kennnummer des Karteninhabers. (Feld 6 der EKV-Karte.)
        Format: 1 bis 30-stellig.
        Angabe: Bedingt.
        Es muss entweder die Sozialversicherungsnummer und der CardToken in Kombination oder einer der Parameter alleine angegeben werden: Sozialversicherungsnummer, CardToken, Kennnummer des Karteninhabers, Rezept-ID.
        `rezId` - e-Rezept Id.
        Format: 12 stellig.
        Angabe: Bedingt.
        Es muss entweder die Sozialversicherungsnummer und der CardToken in Kombination oder einer der Parameter alleine angegeben werden: Sozialversicherungsnummer, CardToken, Kennnummer des Karteninhabers, Rezept-ID.
      Returns:
        Die gefundenen e-Rezept ABS Abgleichdaten, siehe `AbsAbgleichdaten`.
        Angabe: Muss.
      Throws:
        `RezException` - `REZID_FORMAT`, `SV_NUMMER_EKVKPERSKENN_REZID_ALL_MISSING`, `SUCHKRITERIEUM_MAX`, `EKVK_PERS_KENNNUMMER_INVALID`, `SV_NUMMER_INVALID`, `ABS_ZUGRIFF_VERWEIGERT`, `NO_REZEPT_WITH_ABS_FOUND`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`, `MISSING_REZ_ABS`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID` `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eRezeptAbsAbgleichKennzeichnen

          ERezeptVerordner eRezeptAbsAbgleichKennzeichnen(String dialogId,
                                                          String rezId)
                                                   throws RezException,
                                                          AccessException,
                                                          DialogException,
                                                          ServiceException

      Mittels dieser Funktion kann, mittels der Funktion `eRezeptMitAbsSuchen`, ein ermitteltes e-Rezept mit ABS Daten als abgeglichen gekennzeichnet werden. Die Kennzeichnung als abgeglichen ist nur zulässig wenn alle ABS Verordnungen entweder ohne Änderung bewilligt wurden oder diese kassenfrei bzw. bewilligungsfrei sind. Die Abgleichkennzeichnung dient dazu, dass das betroffene e-Rezept nicht mehr bei der Suche mittels der Funktion `eRezeptMitAbsSuchen` retourniert wird.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE`, `REZ_ERFASSEN` und `REZ_ABS`

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `rezId` - e-Rezept Id des als abgeglichen zu kennzeichnenden e-Rezeptes.
        Format: 12 stellig.
        Angabe: Muss.
      Returns:
        als abgeglichen gekennzeichnetes e-Rezept, siehe `ERezeptVerordner`.
      Throws:
        `RezException` - `REZID_REQUIRED`, `REZID_FORMAT`, `ABS_ZUGRIFF_VERWEIGERT`, `EREZEPT_NOT_FOUND`, `EREZEPT_ABGLEICH_FAILED`, `ABS_ANTRAG_VERORDNUNG_INVALID`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`, `MISSING_REZ_ABS`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### selbsterstellteERezepteSuchen

          SuchergebnisSelbsterstellteRezepte selbsterstellteERezepteSuchen(String dialogId,
                                                                           SuchkriterienSelbsterstellteRezepte suchkriterien)
                                                                    throws RezException,
                                                                           AccessException,
                                                                           DialogException,
                                                                           ServiceException

      Diese Funktion dient der Abfrage von Überblicksdaten von selbst erstellten e-Rezepten. Die Suche kann mittels Suchkriterien eingeschränkt werden. Bei der Suche werden nur e-Rezepte ermittelt die Patientendaten beinhalten. D.h. Rezepte die aufgrund der Funktion `blankoERezepteErstellen` oder `eRezeptIdsErstellen` entstanden sind, werden bei der Suche nicht berücksichtigt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `suchkriterien` - Die Suchkriterien zur Einschränkung der Ergebnisse, siehe `SuchkriterienSelbsterstellteRezepte`.
        Angabe: Kann.
      Returns:
        Überblicksdaten der ermittelten e-Rezepte, siehe `SuchergebnisSelbsterstellteRezepte`.
      Throws:
        `RezException` - `PATIENT_FAMNAME_MISSING`, `SV_NUMMER_INVALID`, `EREZID_FORMAT`, `ERZ_ZUNAME_FORMAT`, `ERZ_VORNAME_FORMAT`, `KVT_INVALID_1`, `ORDINATION_FORMAT`, `ORDINATION_INVALID`, `SUCHE_SELBSTERSTELLTE_EREZ_BIS_FORMAT`, `SUCHE_SELBSTERSTELLTE_EREZ_BIS_INVALID`, `SUCHE_SELBSTERSTELLTE_EREZ_STORNIERBARE_INVALID`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_FORMAT`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_INVALID_1`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_INVALID_2`, `EKVK_FORMAT`, `EKVK_PERS_KENNNUMMER_SVNR_INVALID`, `TOO_MANY_HITS`, `SEARCH_LIMITED_BY_DAYS`, `REZEPTART_INVALID`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### verordnerERezeptRezIdAbfragen

          ERezeptVerordner verordnerERezeptRezIdAbfragen(String dialogId,
                                                         String rezId,
                                                         Boolean a5Druck)
                                                  throws RezException,
                                                         AccessException,
                                                         DialogException,
                                                         ServiceException

      Mittels dieser Funktion können die Detaildaten eines selbst ausgestellten e-Rezepts abgefragt werden. Sofern das e-Rezept noch offen, sowie nicht storniert oder abgelaufen ist, wird automatisch eine Druckaufbereitung retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `rezId` - Id eines selbst erstellten Rezepts.
        Format: 12 stellig.
        Angabe: Muss.
        `a5Druck` - Ist das Steuerkennzeichen auf "false" gesetzt wird der Druck im Format A4 retourniert. Ansonsten (Anngabe "true" oder keine Angabe) wird der Druck im Format A5 retourniert.
        Angabe: Kann.
      Returns:
        Verordner- und e-Rezeptdaten, siehe `ERezeptVerordner`.
      Throws:
        `RezException` - `REZID_REQUIRED`, `REZID_FORMAT`, `EREZEPT_NOT_FOUND`, `EREZEPT_NOT_AVAILABLE`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### selbsterstelltesERezeptStornieren

          ERezeptVerordner selbsterstelltesERezeptStornieren(String dialogId,
                                                             String rezId)
                                                      throws RezException,
                                                             AccessException,
                                                             DialogException,
                                                             ServiceException

      Diese Funktion dient der Stornierung eines selbst ausgestellten e-Rezepts.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und `REZ_ERFASSEN`

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Id eines gültigen Dialogs.
        Angabe: Muss.
        `rezId` - Id des zur stornierenden e-Rezeptes
        Format: 12 stellig.
        Angabe: Muss.
      Returns:
        die Rezeptdaten des stornierten Rezeptes, siehe `ERezeptVerordner`.
      Throws:
        `RezException` - `REZID_REQUIRED`, `REZID_FORMAT`, `EREZEPT_NOT_FOUND`, `STORNO_FAILED`
        `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_ERFASSEN`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

    - #### eRezeptMitECardAbfragen

          PatientERezeptInformationen eRezeptMitECardAbfragen(String dialogId,
                                                              String cardToken)
                                                       throws RezException,
                                                              AccessException,
                                                              DialogException,
                                                              ServiceException

      Diese Funktion dient der Abfrage der e-Rezept Überblicksdaten zwecks möglicher Abgabe durch den Abgeber.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
      oder `REZ_EINLOESUNG_BANDAGIST`

    Laufzeitgruppe: Mittel

    Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `cardToken` - Mit e-card erzeugtes Signaturtoken.
  Angabe: Muss.
Returns:
  die dem Patienten zugeordneten Rezeptinformationen, siehe `PatientERezeptInformationen`.
Throws:
  `RezException` - `ECARDTOKEN_MISSING`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### eRezeptMitSvnrAbfragen

      PatientERezeptInformationen eRezeptMitSvnrAbfragen(String dialogId,
                                                         String svnr)
                                                  throws RezException,
                                                         AccessException,
                                                         DialogException,
                                                         ServiceException

  Diese Funktion dient der Abfrage der e-Rezept Überblicksdaten zwecks möglicher Abgabe durch den Abgeber.

  Ab Version minor=1 verfügbar.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG` oder `REZ_EINLOESUNG_BANDAGIST`
  - Es ist für die dem Dialog entsprechende VPNR und die angegebene SVNR eine e-Berechtigung vorhanden.

  Laufzeitgruppe: Mittel

  Replayability: Nein

  Parameters:
    `dialogId` - Id eines gültigen Dialogs.
    Angabe: Muss.
    `svnr` - Sozialversicherungsnummer des Patienten.
    Format: 10-stellige Nummer
    Angabe: Muss.
  Returns:
    die dem Patienten zugeordneten Rezeptinformationen, siehe `PatientERezeptInformationen`.
  Throws:
    `RezException` - `SV_NUMMER_REQUIRED`, `SV_NUMMER_INVALID`, `SVNR_WITH_VPNR_NO_CTS_TOKEN`
    `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
    `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
    `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### abgeberERezeptRezIdAbfragen

      ERezeptAbgeber abgeberERezeptRezIdAbfragen(String dialogId,
                                                 String rezId,
                                                 String abfrageart)
                                          throws RezException,
                                                 AccessException,
                                                 DialogException,
                                                 ServiceException

  Diese Funktion ermöglicht das Abfragen von Detaildaten von einlösbaren beziehungsweise von bereits abgegebenen e-Rezepten durch den Abgeber.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `rezId` - Id des Rezeptes.
  Format: 12 stellig.
  Angabe: Muss.
  `abfrageart` - Die Art der Abfrage.
  Mögliche Werte: `AbfrageartConstants`.
  Angabe: Muss.
Returns:
  Das einlösbare beziehungsweise bereits abgegebene e-Rezept, siehe `ERezeptAbgeber`.
Throws:
  `RezException` - `REZID_REQUIRED`, `REZID_FORMAT`, `ABFRAGEART_REQUIRED`, `ABFRAGEART_INVALID`, `EREZEPT_NOT_FOUND`, `EREZEPT_ALREADY_STORNO`, `EREZEPT_ALREADY_ABGABE`, `EREZEPT_FREMDBESTELLT`, `EREZEPT_OUTDATED`, `EREZEPT_NO_ABGABE`, `EREZEPT_FREMDABGABE_VP`, `ERZEPT_FREMDABGABE_ORDINATION`, `ABGABE_ZU_ALT`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### eRezeptEinloesen

      ERezeptAbgabeErgebnis eRezeptEinloesen(String dialogId,
                                             AbgabeErfassungAenderung abgabedaten)
                                      throws RezException,
                                             AccessException,
                                             DialogException,
                                             ServiceException

  Diese Funktion dient der Erfassung einer Abgabe für ein elektronisches Rezept. Die Abgabe kann entweder für ein offenes oder ein in Bestellung befindliches e-Rezept erfolgen. Findet eine abrechnungsrelevante Einlösung statt und das e-Rezept ist nicht im Status in Bestellung wird ein e-Rezept XML Datensatz für die Abrechnung retourniert.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Ja

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `abgabedaten` - Für die Abgabe relevante Daten, siehe `AbgabeErfassungAenderung`.
  Angabe: Muss.
Returns:
  Das Rezept mit den aktualisierten Daten, siehe `ERezeptAbgabeErgebnis`.
  Angabe: Muss.
Throws:
  `RezException` - `EREZID_REQUIRED`, `EREZID_FORMAT`, `PATIENTENART_INVALID`, `NACHERFASSUNG_REQUIRED`, `SV_NUMMER_INVALID`, `SV_NUMMER_INVALID_EKVK`, `SV_NUMMER_ABGEL_INVALID`, `SV_NUMMER_ABGEL_INVALID_1`, `KVT_INVALID_1`, `KVT_INVALID_2`, `REZEPTABGABEINFO_REQUIRED`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_REQUIRED`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_FORMAT`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_INVALID`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_INVALID_2`, `REZEPTABGABEINFO_ABGABEDATUM_FORMAT`, `REZEPTABGABEINFO_ABGABEDATUM_INVALID`, `REZEPTABGABEINFO_AUSSTELLUNGSDATUM_FORMAT`, `REZEPTABGABEINFO_AUSSTELLUNGSDATUM_INVALID`, `REZEPTABGABEINFO_EREZ_STATUS_INVALID`, `REZEPTABGABEINFO_EREZ_STATUS_INVALID_1`, `REZEPTABGABEINFO_HINWEIS_INVALID`, `REZEPTABGABEINFO_ZUSATZINFO_INVALID`, `VERORDNUNGSABGABE_VERORDNUNGSID_REQUIRED`, `VERORDNUNGSABGABE_VERORDNUNGSID_FORMAT`, `VERORDNUNGSABGABE_VERORDNUNGSID_INVALID`, `VERORDNUNGSABGABE_ABGABESTATUS_REQUIRED`, `VERORDNUNGSABGABE_ABGABESTATUS_INVALID`, `VERORDNUNGSABGABE_ABGABEDATUM_REQUIRED`, `VERORDNUNGSABGABE_ABGABEDATUM_FORMAT`, `VERORDNUNGSABGABE_ABGABEDATUM_INVALID_1`, `VERORDNUNGSABGABE_ABGABEZEIT_FORMAT`, `VERORDNUNGSABGABE_EXPEDIERENDER_REQUIRED`, `VERORDNUNGSABGABE_EXPEDIERENDER_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_REQUIRED`, `VERORDNUNGSABGABE_PACKUNGEN_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_INVALID`, `VERORDNUNGSABGABE_GRUND_KORREKTUR_INVALID`, `VERORDNUNGSABGABE_GRUND_KORREKTUR_INVALID_1`, `ABGABE_ERFASSUNG_REQUIRED`, `EREZEPT_NOT_FOUND`, `EREZEPT_ALREADY_STORNO`, `EREZEPT_ALREADY_ABGABE`, `EREZEPT_FREMDBESTELLT`, `EREZEPT_OUTDATED`, `EREZEPT_AUSSTELLUNGSDATUM_REQUIRED`, `EREZEPT_ABGABE_ZEITFENSTER_INVALID`, `PATIENTENDATEN_DUPLICATED`, `VERORDNUNGSABGABE_INVALID`, `VERORDNUNGSABGABE_REQUIRED`, `VERORDNUNGSABGABE_INVALID_COUNT`, `VERORDNUNGSABGABE_ZUORDNUNG`, `VERORDNUNGSABGABE_STATUSWECHSEL_INVALID`, `GRUND_KORREKTUR_INVALID`, `EREZEPT_STATUS_REQUIRED`, `ABGABEDATUM_REQUIRED`, `EREZEPT_SV_OR_EKVK_REQUIRED`, `EREZET_PATIENTENDATEN_MISSING`, `EREZEPT_EKVK_INVALID_SV`, `NACHERFASSUNG_KV_REQUIRED`, `EREZEPT_AUSSTELLUNGSDATUM_NOT_ALLOWED`, `EREZEPT_ABGABEDATUM_NOT_ALLOWED`, `EREZEPT_STATUS_NOT_ALLOWED`, `EREZEPT_VERORDNUNG_CLOSED`, `EREZEPT_GRUND_NOT_ALLWOED`, `SV_NUMMER_UNKNOWN`, `KV_ANSPRUCH_NOT_FOUND`, `GKK_BKK_NEITHER_SELECTED`, `KV_ANSPRUCH_NOTHING_SELECTED`, `PATIENT_MEHRFACH_VERSICHERT`, `KV_ANSRUCH_INVALID_MEHRFACH_VERSICHERT`, `KV_ANSPRUCH_ABGELEITET_INVALID`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_FORMAT`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_INVALID_1`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_INVALID_2`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_NO_PRIVATABGABE`, `REZEPTABGABEINFO_HINWEIS_INVALID_2`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### selbstAbgegebeneERezepteSuchen

      SuchergebnisSelbstabgegebeneRezepte selbstAbgegebeneERezepteSuchen(String dialogId,
                                                                         SuchkriterienSelbstabgegebeneRezepte suchkriterien)
                                                                  throws RezException,
                                                                         AccessException,
                                                                         DialogException,
                                                                         ServiceException

  Diese Funktion dient das Abfragen von selbst abgegebenen/eingelösten e-Rezepten. Die Suche kann mittels Suchkriterien eingeschränkt werden.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `suchkriterien` - Einschränkende Suchkriterien, siehe `SuchkriterienSelbstabgegebeneRezepte`.
  Angabe: Kann.
Returns:
  Suchergebnis selbst abgegebene e-Rezepte, siehe `SuchergebnisSelbstabgegebeneRezepte`.
Throws:
  `RezException` - `SV_NUMMER_INVALID`, `EREZID_FORMAT`, `PATIENT_FAMNAME_MISSING`, `ERZ_VORNAME_FORMAT`, `ERZ_ZUNAME_FORMAT`, `KVT_INVALID_1`, `ORDINATION_FORMAT`, `ORDINATION_INVALID`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_FORMAT`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_INVALID_1`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_INVALID_2`, `SUCHE_SELBSTERSTELLTE_EREZ_BIS_FORMAT`, `SUCHE_SELBSTERSTELLTE_EREZ_BIS_INVALID`, `ABGABEDATUM_VON_FORMAT`, `ABGABEDATUM_VON_INVALID_1`, `ABGABEDATUM_VON_INVALID_2`, `ABGABEDATUM_BIS_FORMAT`, `ABGABEDATUM_BIS_INVALID`, `VPNR_FORMAT`, `REZEPTSTATUS_INVALID`, `EKVK_FORMAT`, `EKVK_PERS_KENNNUMMER_SVNR_INVALID`, `TOO_MANY_HITS`, `SEARCH_TIMEFRAME_LIMIT`, `REZEPTART_INVALID`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### eRezepteDatensatzDownloaden

      DataHandler eRezepteDatensatzDownloaden(String dialogId,
                                              SuchkriterienSelbstabgegebeneRezepte suchkriterien)
                                       throws RezException,
                                              AccessException,
                                              DialogException,
                                              ServiceException

  Die Funktion dient der Abfrage von e-Rezept XML Datensätzen von abrechnungsrelevanten, eingelösten Kassen-Rezepten. Die Suche kann mittels Suchkriterien eingeschränkt werden. Die gefundenen Datensätze werden als ZIP retourniert.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `suchkriterien` - Einschränkende Suchkriterien, siehe `SuchkriterienSelbstabgegebeneRezepte`.
  Angabe: Kann.
Returns:
  ZIP Archiv mit den gefundenen Datensätzen.
Throws:
  `RezException` - `SV_NUMMER_INVALID`, `EREZID_FORMAT`, `PATIENT_FAMNAME_MISSING`, `ERZ_VORNAME_FORMAT`, `ERZ_ZUNAME_FORMAT`, `KVT_INVALID_1`, `ORDINATION_FORMAT`, `ORDINATION_INVALID`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_FORMAT`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_INVALID_1`, `SUCHE_SELBSTERSTELLTE_EREZ_VON_INVALID_2`, `SUCHE_SELBSTERSTELLTE_EREZ_BIS_FORMAT`, `SUCHE_SELBSTERSTELLTE_EREZ_BIS_INVALID`, `ABGABEDATUM_VON_FORMAT`, `ABGABEDATUM_VON_INVALID_1`, `ABGABEDATUM_VON_INVALID_2`, `ABGABEDATUM_BIS_FORMAT`, `ABGABEDATUM_BIS_INVALID`, `VPNR_FORMAT`, `REZEPTSTATUS_INVALID`, `EKVK_FORMAT`, `EKVK_PERS_KENNNUMMER_SVNR_INVALID`, `TOO_MANY_HITS`, `SEARCH_EREZEPT_NO_RESULT`, `SEARCH_TIMEFRAME_LIMIT`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### eRezeptAbgabeStornieren

      void eRezeptAbgabeStornieren(String dialogId,
                                   String rezId,
                                   Boolean gueltigCheck,
                                   String[] gesamtabgabeIds)
                            throws RezException,
                                   AccessException,
                                   DialogException,
                                   ServiceException

  Diese Funktion dient der Stornierung der Abgabe eines e-Rezepts. Durch die Stornierung wird die gesamte Abgabe zu dem e-Rezept storniert und das e-Rezept somit wieder in den Status "offen" (bzw. "abgelaufen" wenn das Gültigkeitsdatum bereits überschritten wurde) gesetzt.
  Hinweis: Um eine Abgabe einer einzelnen Verordnung zu "stornieren" ist die Funktion `eRezeptAbgabeAendern` zu verwenden und dort die entsprechende Abgabe z.B. auf "keine Abgabe" zu ändern.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Ja

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `rezId` - Id eines abgegebenen Rezeptes.
  Format: 12 stellig.
  Angabe: Muss.
  `gueltigCheck` - Kennzeichen, ob bei der Stornierung berücksichtigt werden soll, ob das e-Rezept bereits abgelaufen ist.
  Hinweis: Wird der Parameter mit "true" angegeben und die Abgabe zu einem e-Rezept storniert das bereits abgelaufen ist, wird mit einer Fehlermeldung reagiert. Wird der Parameter mit "false" angegeben, wird die Stornierung (sofern sonst keine Fehler auftreten) ohne Meldung durchgeführt.
  Angabe: Muss.
  `gesamtabgabeIds` - Liste der GesamtabgabeIds.
  Angabe: Bedingt. Bei Stornierung der Abgabe eines Kassenrezepts ist die Angabe einer GesamtabgabeId nicht zulässig. Bei der Stornierung der Abgabe eines Privatrezeptes muss mindestens eine GesamtabgabeId angegeben werden. Es werden alle (Teil-)Abgaben storniert die zu dieser Gesamtabgabe zugehörig sind.
Throws:
  `RezException` - `REZID_REQUIRED`, `REZID_FORMAT`, `EREZEPT_NOT_FOUND`, `STORNO_ABGABE_FAILED`, `EREZEPT_NO_ABGABE`, `EREZEPT_FREMDABGABE_ORDINATION`, `EREZEPT_ABGABE_STORNO_INVALID`, `ABGABE_STORNO_GESAMTABGABEID_FORMAT`, `ABGABE_STORNO_GESAMTABGABEID_INVALID`, `ABGABE_STORNO_GESAMTABGABEID_INVALID_1`, `ABGABE_STORNO_GESAMTABGABEID_REQUIRED`, `ABGABE_STORNO_GESAMTABGABEID_INVALID_2`, `ABGABE_STORNO_GESAMTABGABEID_INVALID_3`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### eRezeptAbgabeAendern

      ERezeptAbgabeErgebnis eRezeptAbgabeAendern(String dialogId,
                                                 AbgabeErfassungAenderung abgabedaten)
                                          throws RezException,
                                                 AccessException,
                                                 DialogException,
                                                 ServiceException

  Diese Funktion dient der Änderung bereits erfasster Abgabeinformationen zu einem e-Rezept. Findet eine abrechnungsrelevante Einlösung statt und das e-Rezept ist nicht im Status in Bestellung wird ein e-Rezept XML Datensatz für die Abrechnung retourniert.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Ja

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `abgabedaten` - Die geänderten Abgabedaten für das Rezept, siehe `AbgabeErfassungAenderung`.
  Angabe: Muss.
Returns:
  Die Informationen zum geänderten Rezept, siehe `ERezeptAbgabeErgebnis`.
Throws:
  `RezException` - `EREZID_REQUIRED`, `EREZID_FORMAT`, `PATIENTENART_INVALID_1`, `NACHERFASSUNG_INVALID`, `ERZ_SV_NUMMER_EDIT_NOT_ALLOWED`, `SV_NUMMER_ABGEL_INVALID_1`, `KVT_INVALID_3`, `REZEPTABGABEINFO_REQUIRED`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_REQUIRED`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_FORMAT`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_INVALID`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_INVALID_2`, `REZEPTABGABEINFO_ABGABEDATUM_FORMAT`, `REZEPTABGABEINFO_ABGABEDATUM_INVALID`, `REZEPTABGABEINFO_AUSSTELLUNGSDATUM_INVALID_1`, `REZEPTABGABEINFO_EREZ_STATUS_INVALID`, `REZEPTABGABEINFO_EREZ_STATUS_INVALID_1`, `REZEPTABGABEINFO_HINWEIS_INVALID`, `REZEPTABGABEINFO_ZUSATZINFO_INVALID`, `VERORDNUNGSABGABE_VERORDNUNGSID_REQUIRED`, `VERORDNUNGSABGABE_VERORDNUNGSID_FORMAT`, `VERORDNUNGSABGABE_VERORDNUNGSID_INVALID`, `VERORDNUNGSABGABE_ABGABEID_REQUIRED`, `VERORDNUNGSABGABE_ABGABEID_FORMAT`, `VERORDNUNGSABGABE_ABGABEID_INVALID`, `VERORDNUNGSABGABE_ABGABESTATUS_REQUIRED`, `VERORDNUNGSABGABE_ABGABESTATUS_INVALID`, `VERORDNUNGSABGABE_ABGABEDATUM_REQUIRED`, `VERORDNUNGSABGABE_ABGABEDATUM_FORMAT`, `VERORDNUNGSABGABE_ABGABEDATUM_INVALID_1`, `VERORDNUNGSABGABE_ABGABEZEIT_FORMAT`, `VERORDNUNGSABGABE_EXPEDIERENDER_REQUIRED`, `VERORDNUNGSABGABE_EXPEDIERENDER_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_REQUIRED`, `VERORDNUNGSABGABE_PACKUNGEN_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_INVALID`, `VERORDNUNGSABGABE_GRUND_KORREKTUR_INVALID`, `ABGABE_ERFASSUNG_REQUIRED`, `EREZEPT_NOT_FOUND`, `EREZEPT_ABGABE_ZEITFENSTER_INVALID`, `EREZEPT_NO_ABGABE`, `EREZEPT_FREMDABGABE_ORDINATION`, `VERORDNUNGSABGABE_INVALID`, `VERORDNUNGSABGABE_ZUORDNUNG`, `GRUND_KORREKTUR_INVALID`, `EREZEPT_STATUS_REQUIRED`, `ABGABEDATUM_REQUIRED`, `ABGABE_EDIT_FAILED`, `ABGABE_DATUM_EDIT_INVALID`, `ABGABE_STATUS_EDIT_FAILED`, `EREZEPT_AUSSTELLUNGSDATUM_NOT_ALLOWED`, `EREZEPT_ABGABEDATUM_NOT_ALLOWED`, `EREZEPT_GRUND_REQUIRED`, `EREZEPT_GRUND_NOT_ALLOWED`, `ABGABE_VERID_ABGID_EDIT_INVALID`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_FORMAT`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_INVALID_1`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_INVALID_2`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_NO_PRIVATABGABE`, `REZEPTABGABEINFO_HINWEIS_INVALID_2`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### papierrezeptEinloesen

      PapierrezeptAbgabeErgebnis papierrezeptEinloesen(String dialogId,
                                                       PapierrezeptAbgabeErfassung abgabedaten)
                                                throws RezException,
                                                       AccessException,
                                                       DialogException,
                                                       ServiceException

  Diese Funktion dient der Erfassung der Informationen zur Abgabe eines reinen Kassen-Papierrezepts (es ist keine Rezept-ID für das Rezept vorhanden). Für Rezepte mit vorhandener Rezept-ID ist die Funktion `eRezeptEinloesen` zu verwenden. Es wird ein REGO XML Datensatz für die Abrechnung retourniert.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Ja

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `abgabedaten` - Abgabedaten zum Papierrezept, siehe `PapierrezeptAbgabeErfassung`.
  Angabe: Muss.
Returns:
  Die Papierrezept-Abgabeinformationen, siehe `PapierrezeptAbgabeErgebnis`.
Throws:
  `RezException` - `SV_NUMMER_REQUIRED`, `SV_NUMMER_INVALID`, `SV_NUMMER_VERSICHERTER_INVALID`, `NACHERFASSUNG_KVT_REQUIRED`, `NACHERFASSUNG_REQUIRED`, `KVT_INVALID_1`, `REZEPTABGABEINFO_REQUIRED`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_FORMAT`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_INVALID`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_INVALID_2`, `REZEPTABGABEINFO_ANZAHL_REZEPTGEB_REQUIRED`, `REZEPTABGABEINFO_ABGABEDATUM_FORMAT`, `REZEPTABGABEINFO_ABGABEDATUM_INVALID`, `REZEPTABGABEINFO_ABGABEDATUM_REQUIRED`, `REZEPTABGABEINFO_AUSSTELLUNGSDATUM_FORMAT`, `REZEPTABGABEINFO_AUSSTELLUNGSDATUM_INVALID`, `REZEPTABGABEINFO_AUSSTELLUNGSDATUM_REQUIRED`, `REZEPTABGABEINFO_EREZ_STATUS_INVALID`, `REZEPTABGABEINFO_EREZ_STATUS_INVALID_2`, `REZEPTABGABEINFO_ZUSATZINFO_INVALID`, `REZEPTABGABEINFO_HINWEIS_INVALID`, `PAPIER_ABGABE_ERFASSUNG_REQUIRED`, `SV_NUMMER_UNKNOWN`, `EREZEPT_ABGABE_ZEITFENSTER_INVALID`, `KV_ANSPRUCH_NOT_FOUND`, `GKK_BKK_NEITHER_SELECTED`, `KV_ANSPRUCH_NOTHING_SELECTED`, `PATIENT_MEHRFACH_VERSICHERT`, `KV_ANSRUCH_INVALID_MEHRFACH_VERSICHERT`, `KV_ANSPRUCH_ABGELEITET_INVALID`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_FORMAT`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_INVALID_1`, `REZEPTABGABEINFO_KASSENVERKAUFSPREIS_INVALID_2`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### selbstabgegebenePapierrezepteSuchen

      SuchergebnisSelbstabgegebenePapierrezepte selbstabgegebenePapierrezepteSuchen(String dialogId,
                                                                                    SuchkriterienSelbstabgegebenePapierrezepte suchkriterien)
                                                                             throws RezException,
                                                                                    AccessException,
                                                                                    DialogException,
                                                                                    ServiceException

  Diese Funktion dient der Abfrage von Überblicksdaten von selbst erstellten Papierrezpt-Abgaben. Die Suche kann mittels Suchkriterien eingeschränkt werden.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `suchkriterien` - Einschränkende Kriterien für die Suche, siehe `SuchkriterienSelbstabgegebenePapierrezepte`.
  Angabe: Kann.
Returns:
  Überblicksdaten der gefundenen Papierrezepte, siehe `SuchergebnisSelbstabgegebenePapierrezepte`.
Throws:
  `RezException` - `SV_NUMMER_INVALID`, `KVT_INVALID_1`, `ORDINATION_FORMAT`, `ORDINATION_INVALID`, `ABGABEDATUM_VON_FORMAT`, `ABGABEDATUM_VON_INVALID_1`, `ABGABEDATUM_VON_INVALID_2`, `ABGABEDATUM_BIS_FORMAT`, `ABGABEDATUM_BIS_INVALID`, `TOO_MANY_HITS`, `SEARCH_TIMEFRAME_LIMIT`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### regoDatensatzDownloaden

      DataHandler regoDatensatzDownloaden(String dialogId,
                                          SuchkriterienSelbstabgegebenePapierrezepte suchkriterien)
                                   throws RezException,
                                          RezException,
                                          AccessException,
                                          DialogException,
                                          ServiceException

  Die Funktion dient der Abfrage von REGO XML Datensätzen. Die Suche kann mittels Suchkriterien eingeschränkt werden. Die gefundenen Datensätze werden als ZIP retourniert.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `suchkriterien` - Einschränkende Kriterien für die Suche, siehe `SuchkriterienSelbstabgegebenePapierrezepte`.
  Angabe: Kann.
Returns:
  XML Datei mit den ermittelten Datensätzen als Download.
Throws:
  `RezException` - `SV_NUMMER_INVALID`, `KVT_INVALID_1`, `ORDINATION_FORMAT`, `ORDINATION_INVALID`, `ABGABEDATUM_VON_FORMAT`, `ABGABEDATUM_VON_INVALID_1`, `ABGABEDATUM_VON_INVALID_2`, `ABGABEDATUM_BIS_FORMAT`, `ABGABEDATUM_BIS_INVALID`, `TOO_MANY_HITS`, `SEARCH_REGO_NO_RESULT`, `SEARCH_TIMEFRAME_LIMIT`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### anspruchStichtagErmitteln

      AbfrageergebnisStichtag anspruchStichtagErmitteln(String dialogId,
                                                        String svnr,
                                                        String svnrAbgeleitet,
                                                        String kvt,
                                                        String datum,
                                                        String cardToken)
                                                 throws RezException,
                                                        AccessException,
                                                        DialogException,
                                                        ServiceException

  Diese Funktion dient der Ermittlung des im eCS bekannten Anspruchs eines SV-Patienten für das Verordnungsdatum eines abzugebenden Papierrezeptes.
  Hinweis: Bei der Abgabe von e-Rezepten ist diese Funktion nicht notwendig. Entweder wurde dort der Anspruch bereits bei der Erstellung festgestellt oder die Überprüfung findet im Zuge der Abgabe des e-Rezepts statt (wenn das e-Rezept ohne Personendaten mittels der Funktion `blankoERezepteErstellen` oder `eRezeptIdsErstellen` erstellt wurde).

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `svnr` - Sozialversicherungsnummer des Patienten.
  Format: 10-stellige Nummer
  Angabe: Bedingt. Es muss zumindest einer der Parameter Svnr oder CardToken angegeben werden.
  `svnrAbgeleitet` - Sozialversicherungsnummer des Versicherten.
  Format: 10-stellige Nummer
  Angabe: Kann.
  `kvt` - KV Träger Bezeichnung.
  Mögliche Werte: siehe `getSVTs`
  Angabe: Kann.
  `datum` - Der Stichtag für die Ermittlung des Anspruchs.
  Format: TT.MM.JJJJ
  Angabe: Muss.
  `cardToken` - Mit e-card erzeugtes Signaturtoken.
  Angabe: Bedingt. Es muss zumindest einer der Parameter Svnr oder CardToken angegeben werden.
Returns:
  ermittelte Anspruchsdaten.
  Angabe: Muss.
Throws:
  `RezException` - `KVT_INVALID_1`, `AUSGESTELLT_AM_REQUIRED`, `AUSGESTELLT_AM_FORMAT`, `AUSGESTELLT_AM_INVALID_1`, `AUSGESTELLT_AM_INVALID_2`, `SV_NUMMER_INVALID`, `NO_ECARDTOKEN_SV_NUMMER_REQUIRED`, `SV_NUMMER_ABGEL_INVALID`, `SV_NUMMER_UNKNOWN`, `KV_ANSPRUCH_NOT_FOUND`, `GKK_BKK_NEITHER_SELECTED`, `KV_ANSPRUCH_NOTHING_SELECTED`, `PATIENT_MEHRFACH_VERSICHERT`, `KV_ANSRUCH_INVALID_MEHRFACH_VERSICHERT`, `KV_ANSPRUCH_ABGELEITET_INVALID`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `SIGNATURE_INVALID` `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### papierrezeptRegoIdAbfragen

      PapierrezeptAbgabe papierrezeptRegoIdAbfragen(String dialogId,
                                                    String regoId)
                                             throws RezException,
                                                    AccessException,
                                                    DialogException,
                                                    ServiceException

  Diese Funktion ermöglicht das Abfragen der Detaildaten einer selbst erfassten Papierrezeptabgabe mittels Eingabe der REGO-ID.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Nein

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `regoId` - Id der Papierrezept-Abgabe.
  Format: 12 stellig.
  Angabe: Muss.
Returns:
  Die gefundene Papierrezept-Abgabe, siehe `PapierrezeptAbgabe`.
Throws:
  `RezException` - `REGOID_REQUIRED`, `REGOID_FORMAT`, `NO_OWN_ENTRY_FOR_REGOID`, `REGO_ABGABE_ZEITFENSTER_INVALID`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### privatrezeptEinloesen

      PrivatRezeptAbgeber privatrezeptEinloesen(String dialogId,
                                                PrivatrezeptAbgabeErfassungAenderung privatrezeptAbgabedaten)
                                         throws RezException,
                                                AccessException,
                                                DialogException,
                                                ServiceException

  Diese Funktion dient der Erfassung einer Abgabe für ein Privatrezept. Die Abgabe kann entweder für ein offenes oder ein in Bestellung befindliches e-Rezept erfolgen.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Ja

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `privatrezeptAbgabedaten` - Für die Abgabe relevanter Daten, siehe `PrivatrezeptAbgabeErfassungAenderung`.
  Angabe: Muss.
Returns:
  Das Rezept mit den aktualisierten Daten, siehe `PrivatRezeptAbgeber`.
  Angabe: Muss.
Throws:
  `RezException` - `EREZID_REQUIRED`, `EREZID_FORMAT`, `NACHERFASSUNG_REQUIRED`, `PRIVATREZEPT_ABGABE_ERFASSUNG_REQUIRED`, `VERORDNUNGSABGABE_VERORDNUNGSID_REQUIRED`, `VERORDNUNGSABGABE_VERORDNUNGSID_FORMAT`, `VERORDNUNGSABGABE_VERORDNUNGSID_INVALID`, `VERORDNUNGSABGABE_ABGABESTATUS_REQUIRED`, `VERORDNUNGSABGABE_ABGABESTATUS_INVALID`, `VERORDNUNGSABGABE_ABGABEDATUM_REQUIRED`, `VERORDNUNGSABGABE_ABGABEDATUM_FORMAT`, `VERORDNUNGSABGABE_ABGABEDATUM_INVALID_1`, `VERORDNUNGSABGABE_ABGABEZEIT_FORMAT`, `VERORDNUNGSABGABE_EXPEDIERENDER_REQUIRED`, `VERORDNUNGSABGABE_EXPEDIERENDER_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_REQUIRED`, `VERORDNUNGSABGABE_PACKUNGEN_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_INVALID`, `VERORDNUNGSABGABE_GRUND_KORREKTUR_INVALID`, `VERORDNUNGSABGABE_GRUND_KORREKTUR_INVALID_1`, `EREZEPT_NOT_FOUND`, `EREZEPT_ALREADY_STORNO`, `EREZEPT_ALREADY_ABGABE`, `EREZEPT_OUTDATED`, `EREZEPT_FREMDBESTELLT`, `EREZEPT_ABGABE_ZEITFENSTER_INVALID`, `VERORDNUNGSABGABE_REQUIRED`, `VERORDNUNGSABGABE_ZUORDNUNG`, `VERORDNUNGSABGABE_STATUSWECHSEL_INVALID`, `GRUND_KORREKTUR_INVALID`, `EREZEPT_GRUND_NOT_ALLWOED`, `VERORDNUNGSABGABE_INVALID_COUNT_1`, `VERORDNUNGSABGABE_IN_BESTELLUNG_OTHER_VP`, `VERORDNUNGSABGABE_ABGABESTATUS_INVALID_2`, `VERORDNUNGSABGABE_KEINE_WEITERE_ABGABE`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`

- #### privatrezeptAbgabeAendern

      PrivatRezeptAbgeber privatrezeptAbgabeAendern(String dialogId,
                                                    PrivatrezeptAbgabeErfassungAenderung privatrezeptAbgabedaten)
                                             throws RezException,
                                                    AccessException,
                                                    DialogException,
                                                    ServiceException

  Diese Funktion dient der Änderung bereits erfasster Abgabeinformationen zu einem Privatrezept.

  Voraussetzungen:

  - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online-Status (siehe Online-/Offline-Status).
  - Der Vertragspartner besitzt die Rechte `REZ_CORE` und entweder `REZ_EINLOESUNG`
  oder `REZ_EINLOESUNG_BANDAGIST`

Laufzeitgruppe: Mittel

Replayability: Ja

Parameters:
  `dialogId` - Id eines gültigen Dialogs.
  Angabe: Muss.
  `privatrezeptAbgabedaten` - Die geänderten Abgabedaten für das Privatrezept, siehe `PrivatrezeptAbgabeErfassungAenderung`.
  Angabe: Muss.
Returns:
  Die Informationen zum geänderten Rezept, siehe `PrivatRezeptAbgeber`.
  Angabe: Muss.
Throws:
  `RezException` - `EREZID_REQUIRED`, `EREZID_FORMAT`, `NACHERFASSUNG_INVALID`, `PRIVATREZEPT_ABGABE_ERFASSUNG_REQUIRED`, `VERORDNUNGSABGABE_VERORDNUNGSID_REQUIRED`, `VERORDNUNGSABGABE_VERORDNUNGSID_FORMAT`, `VERORDNUNGSABGABE_VERORDNUNGSID_INVALID`, `VERORDNUNGSABGABE_ABGABEID_REQUIRED`, `VERORDNUNGSABGABE_ABGABEID_FORMAT`, `VERORDNUNGSABGABE_ABGABEID_INVALID`, `VERORDNUNGSABGABE_ABGABESTATUS_REQUIRED`, `VERORDNUNGSABGABE_ABGABESTATUS_INVALID`, `VERORDNUNGSABGABE_ABGABEDATUM_REQUIRED`, `VERORDNUNGSABGABE_ABGABEDATUM_FORMAT`, `VERORDNUNGSABGABE_ABGABEDATUM_INVALID_1`, `VERORDNUNGSABGABE_ABGABEZEIT_FORMAT`, `VERORDNUNGSABGABE_EXPEDIERENDER_REQUIRED`, `VERORDNUNGSABGABE_EXPEDIERENDER_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_REQUIRED`, `VERORDNUNGSABGABE_PACKUNGEN_FORMAT`, `VERORDNUNGSABGABE_PACKUNGEN_INVALID`, `VERORDNUNGSABGABE_GRUND_KORREKTUR_INVALID`, `VERORDNUNGSABGABE_GESAMTABGABEID_REQUIRED`, `VERORDNUNGSABGABE_GESAMTABGABEID_FORMAT`, `VERORDNUNGSABGABE_GESAMTABGABEID_INVALID`, `ABGABE_ERFASSUNG_REQUIRED`, `EREZEPT_NOT_FOUND`, `EREZEPT_ABGABE_ZEITFENSTER_INVALID`, `EREZEPT_NO_ABGABE`, `EREZEPT_FREMDABGABE_ORDINATION`, `VERORDNUNGSABGABE_ZUORDNUNG`, `GRUND_KORREKTUR_INVALID`, `ABGABE_EDIT_FAILED`, `ABGABE_DATUM_EDIT_INVALID`, `ABGABE_STATUS_EDIT_FAILED`, `EREZEPT_ABGABEDATUM_NOT_ALLOWED`, `EREZEPT_GRUND_REQUIRED`, `EREZEPT_GRUND_NOT_ALLOWED`, `VERORDNUNGSABGABE_ABGABESTATUS_INVALID_2`, `ABGABE_STATUS_DATUM_EDIT_INVALID`, `ABGABE_WRONG_ABGABE_EDIT_FAILED`, `ABGABE_GESABGID_ABGID_EDIT_INVALID`
  `AccessException` - `MISSING_REZ_CORE`, `MISSING_REZ_EINLOESUNG`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
  `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`